corAR1                 package:nlme                 R Documentation

AR(1) Correlation Structure

Description:

     This function is a constructor for the 'corAR1' class,
     representing an autocorrelation structure of order 1. Objects
     created using this constructor must later be initialized using the
     appropriate 'Initialize' method.

Usage:

     corAR1(value, form, fixed)

Arguments:

   value: the value of the lag 1 autocorrelation, which must be between
          -1 and 1. Defaults to 0 (no autocorrelation).

    form: a one sided formula of the form '~ t', or '~ t | g',
          specifying a time covariate 't' and,  optionally, a grouping
          factor 'g'. A covariate for this correlation structure must
          be integer valued. When a grouping factor is present in
          'form', the correlation structure is assumed to apply only to
          observations within the same grouping level; observations
          with different grouping levels are assumed to be
          uncorrelated. Defaults to '~ 1', which corresponds to using
          the order of the observations in the data as a covariate, and
          no groups.

   fixed: an optional logical value indicating whether the coefficients
          should be allowed to vary in the optimization, or kept fixed
          at their initial value. Defaults to 'FALSE', in which case
          the coefficients are allowed to vary.

Value:

     an object of class 'corAR1', representing an autocorrelation
     structure of order 1.

Author(s):

     Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates
     bates@stat.wisc.edu

References:

     Box, G.E.P., Jenkins, G.M., and Reinsel G.C. (1994) "Time Series
     Analysis: Forecasting and Control", 3rd Edition, Holden-Day.

See Also:

     'Initialize.corStruct'

Examples:

     ## covariate is observation order and grouping factor is Mare
     cs1 <- corAR1(0.2, form = ~ 1 | Mare)

